--[[
	Zone Functions
	v1.5b
]]

-- Return the Special Zone mount mode. This is used for areas that don't allow flying in certain spots like Dalaran & Wintergrasp.
function MiniMount_ZoneSmart(cmt)
	local mode,_ = MiniMount_ZoneGetData(cmt);

	return mode;
end

-- Determine if a new mount must be called.
function MiniMount_ZoneSmartNewMount(cmt)
	local _, newmount = MiniMount_ZoneGetData(cmt);

	if newmount == true then
		MiniMount_GetNextMount();
	end
end


-- Main Zone Data Function
function MiniMount_ZoneGetData(CurrentMountType)
	SetMapToCurrentZone();
	MiniMount_DetermineNorthrendFly();
	local zone, subzone = GetZoneText(), GetSubZoneText();
	local newmount = nil;
	local mode = nil;

	if (zone == MINIMOUNT_ZONE_DALARAN) then
		mode = "Ground";
		if (subzone == MINIMOUNT_SUBZONE_DALARAN_KRASUSLANDING) and (MiniMount_CanNorthrendFly == true) then
			mode = "Fly";
		end
	elseif (zone == MINIMOUNT_ZONE_WINTERGRASP) then
		mode = "Ground";
	elseif (zone == MINIMOUNT_INSTANCE_THEOCULUS) then
		mode = "Ground";
	end

	if mode ~= CurrentMountType then
		newmount = true;
	end

	return mode, newmount;
end